import React, { FC } from 'react';
import { View, Spinner as SpinnerX, NativeBase } from 'native-base';
export type SpinnerProps = NativeBase.Spinner & {
  spinnerProps?: any;
  spaceColor?: string;
  themeColor?: string;
};
export const Spinner: FC<SpinnerProps> = (props: SpinnerProps) => {
  const { themeColor, spaceColor } = props;
  const propsX = { ...props };
  return (
    <View
      style={{
        backgroundColor: spaceColor,
        width: 90,
        height: 90,
        borderRadius: 12,
      }}
    >
      <View style={{ alignContent: 'center' }}>
        <SpinnerX
          {...propsX}
          style={{ paddingTop: 10 }}
          color={themeColor}
          size={40}
        />
      </View>
    </View>
  );
};
